nixp.ru v3.0

16 января 2017,
понедельник,
20:29:00 MSK

DevOps с компанией «Флант»
Fatal написал 2 октября 2004 года в 22:19 (243 просмотра) Ведет себя как мужчина; открыл 123 темы в форуме, оставил 484 комментария на сайте.

Помогите, пожалуйста. Как подключится к инету посредством ppp.

Купил я себе толстый толмуд по FreeBSD, где предлагаются такие настройки:

содержимое

(этот файл я прописывал накаждой строчке и пробовал на одной строке)

#/etc/ppp/option

/dev/cuaa0 115200

crtscts

modem

connect «/usr/sbin/chat -f /etc/ppp/chat.script»

noipdefault

silent

defaultroute

содержимое (взят из manual pages)

(после ввода команды pppd пишется что script failed pppd[199])

#/etc/ppp/chat.script

#!/bin/sh

#

# $FreeBSD: src/share/examples/pppd/chat.sh.sample,v 1.1.2.1 2002/02/12 00:49:12 cjc Exp $

#

# Example for chat.sh file.

INIT=’at&f'

dial(){

/usr/bin/chat -v \

ABORT «ERROR» \

ABORT «NO DIALTONE» \

TIMEOUT 5 \

«» «AT» \

«OK» «${INIT}» \

«OK»-«+++»-"» «ATH» \

ABORT «BUSY» \

ABORT «NO ANSWER» \

ABORT «NO CARRIER» \

«OK» «ATDP$1» \

TIMEOUT 70 \

«ogin:» «username» \

«word:» «pasword» \

TIMEOUT 50 \

«PPP» «\c»

[ $? -eq 0 ] && exit 0

echo «$1 failed» 1>&2

exit 1

}

dial 1234567

вместо «username» пишу login, «pasword» — свой пароль, 1234567 — телефон провайдера

содержимое (взят из моей книги)

#/etc/ppp/chat.script (пишется что script failed pppd[217])

ABORT BUSY ABORT 'NO CARRIER' «» AT OK ATDT5551212 CONNECT «» TIMEOUT 10 ogin: foo TIMEOUT 5

sword: bar

вместо foo у меня стоит login, вместо bar — пароль

P.S.

к сожалению не знаю как изменять шрифт, чтобы лучше было видно

Master

Почему никого не устраивают скрипты с http://www.sysoev.ru/pppd/ ???

Вот например.

cat /etc/ppp/inet

pppd /dev/cuaa1 115200 lock connect '/etc/ppp/dial' defaultroute noipdefault debug nodetach

cat /etc/ppp/dial

#!/bin/sh
dial () {
        /bin/echo 1>&2
        /bin/date "+%d.%m.20%y %H:%M:%S" 1>&2
        /usr/bin/chat -V                                \
                ABORT           "ERROR"                 \
                ABORT           "NO DIALTONE"           \
                TIMEOUT         5                       \
                ""              "AT"                    \
                "OK"-"+++"-""   "AT"                    \
                "OK"            "ATZ"                   \
                "OK"            "ATS7=120"              \
            "OK"            "ATL1"                  \
                ABORT           "BUSY"                  \
                ABORT           "NO ANSWER"             \
                ABORT           "NO CARRIER"            \
                ABORT           "Login incorrect"       \
                "OK"            "ATDP$1"                \
                TIMEOUT         125                     \
                "CONNECT"       "\\c"                   \
                TIMEOUT         30                      \
                "ogin:"         "my_login"              \
                "assword:"      "my_passwd"             \
                "}"             "\\c"
        if [ "$?" = "0" ]; then
                exit 0
        fi
        /bin/echo 1>&2
        /bin/echo "$1 failed" 1>&2
}
dial 7833333
dial 7923333
dial 7896211
dial 9953333
exit 1

Потому как ни один вменяемый провайдер не использует скрипты. Да и сам pppd во фре работает говнисто, возможности ppp выше, а сложность настройки — ниже.

Master
cebka
Потому как ни один вменяемый провайдер не использует скрипты. Да и сам pppd во фре работает говнисто, возможности ppp выше, а сложность настройки — ниже.

PAP и CHAP аутентификацию через скрипты тоже можно настроить…

Zarg

—————/etc/ppp/options—————

/dev/cuaa0 115200

crtscts

modem

connect «/usr/bin/chat -f /etc/ppp/script»

noipdefault

silent

domain [domain]

defaultroute

—————-/etc/ppp/script—————

ABORT BUSY

ABORT ERROR

ECHO OFF

» » ATDT[номер]

TIMEOUT 120

CONNECT '\c'

TIMEOUT  30

ogin: [имя пользователя]

ssword: [пароль]

'}' '\c'

———————/etc/resolv.conf————-

search my.default.domain

nameserver [IP DNS сервера]

nameserver [IP DNS сервера]

Fatal

брал скрипты от Master Модератор, у Noder не пробовал. Только файл inet перименовал в options.

Спасибо все работает. Но если я запущу pppd под рутом но входить

в интеренет буду через пользователя, то это не опасно?

Master
Fatal
Но если я запущу pppd под рутом но входить

в интеренет буду через пользователя, то это не опасно?

не опасно

pol

«Но если я запущу pppd под рутом но входить

в интеренет буду через пользователя, то это не опасно?»

есть некоторые подозрения что если ты запустишь pppd не под рутом то нифига не получится — по понятным причинам — и насколько я знаю так как ты сказал делаеться везде

Master
PAP и CHAP аутентификацию через скрипты тоже можно настроить…

Да ладно, прямо уж CHAP.

Genie
Спасибо все работает. Но если я запущу pppd под рутом но входить

в интеренет буду через пользователя, то это не опасно?


pppd обычно root-suid, т.е. при своём запуске сразу получает права root-а.

это необходимо для того, чтобы иметь возможность записывать в /etc/resolv.conf (прописывать dns-сервера, получаемые от провайдера), чтобы иметь доступ до порта ввода/вывода…. ну и другие мелочи ;)

и насколько я знаю так как ты сказал делаеться везде


но не всегда явно. ;)

myst

А кто мешает использовать user-ppp, как это делаю я? Конфиг на 7-10 строчек и никаких проблем…

Fatal

pppd обычно root-suid, т.е. при своём запуске сразу получает права root-а.

это необходимо для того, чтобы иметь возможность записывать в /etc/resolv.conf (прописывать dns-сервера, получаемые от провайдера), чтобы иметь доступ до порта ввода/вывода…. ну и другие мелочи ;)

//////////////////////////////////////////////////////////////////////////////////////////////////////////////

А как это сказывается на безопасности, если все равно pppd запускается под рутом?

//////////////////////////////////////////////////////////////////////////////////////////////////////////////

А кто мешает использовать user-ppp, как это делаю я? Конфиг на 7-10 строчек и никаких проблем…

myst ,

Покаж, пожалуйста, конфиг и где это прописывать.

myst

Прописывается всё в /etc/ppp/ppp.conf. Читать ppp(8). Мой конфиг выглядит так:

default:

set device /dev/cual0

sed speed 115200

set dial «ABORT BUSY ABORT NO\\sCARRIER TIMEOUT 3 \«\» ATZ OK ATM0 OK ATDP\\T TIMEOUT 120 CONNECT»

card:

set reconnect random 10

set phone [phone]

set authname [login]

set authkey [password]

set ifaddr 10.0.0.1/0 10.0.0.2/0 0.0.0.0 0.0.0.0

add default HISADDR

enable dns

Fatal

А ну, да. Это же /etc/ppp/ppp.conf

Спасбо большое всем, очень помогли!

Fatal

Подскажите, пожалуйста, с помощью какой утилиты можно просматривать трафик и скорость подключения, желательно под консолью.

Fatal

Даже трафик не обязательно, хотябы скорость как посмотреть?

Genie

при установке соединения модем в строке CONNECT при соответствующих настройках (см. описание своего модема) выдаёт скорость установившегося соединения. т.е. если лог этого общенгия куда-нибудь сохраняется, то можно его, соответственно, глядеть.

однако, в процессе самого соединения модемы могут договориться о том, что скорость надо бы увеличить/уменьшить. при этом, на внешних модемах узнать текущую скорость можно будет только с модемного экрана, если таковой имеется.

как дела обстоят с внутренними — тут я не в курсе. модемы, которые аппаратные — могут быть полной аналогией модемов внешних, а могут иметь дополнительный интерфейс, однако, стандарного в этом интерфейсе ничего нет, поэтому и поглядеть — никак не получится.

с дешёвыми внутренними модемами ситуация такая: частично обработка сигнала возложена на основной процессор, и в этом случае драйвер модема в курсе, на какой он скорости работает. поэтому — см. описание драйвера, если таковой существует для freeBSD.

что касается трафика — его использование — можно отслежывать ifconfig на интерфейсе pppN. глядеть этот трафик — да тем же tcpdump. хотя, в поставку pppd входят pppdump и pppstats, которые эти задачи выполняют. что там в ppp — не в курсе.

Fatal

pppdump — такой команды я не обнаружил.

ecobeingecobeing.ru
Экология и вегетарианство на благо всем живым существам Планеты.